SNA

Completion

Run a lightweight one-shot LLM completion without session management.

POST
/agent/completion

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/agent/completion" \  -H "Content-Type: application/json" \  -d '{    "prompt": "string"  }'
{
  "text": "string",
  "usage": {
    "inputTokens": 0,
    "outputTokens": 0,
    "cacheReadTokens": 0,
    "cacheCreationTokens": 0
  },
  "costUsd": 0,
  "durationMs": 0,
  "durationApiMs": 0,
  "model": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}
{
  "status": "error",
  "message": "string",
  "stack": "string"
}